package com.shinsoft.sto.service.impl.ware;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.shinsoft.sto.mapper.ware.HProdMasterMapper;
import com.shinsoft.sto.model.system.ResponseCodeMsg;
import com.shinsoft.sto.model.ware.HProdMaster;
import com.shinsoft.sto.service.ware.HProdMasterService;
import com.shinsoft.tools.JSONTools;
import com.shinsoft.sto.model.system.ResultJSON;
import org.springframework.stereotype.Service;

import java.util.Map;

/**
 * <p>
 * 材料信息历史 服务实现类
 * </p>
 *
 * @author system
 * @since 2024-12-05
 */
@Service
public class HProdMasterServiceImpl extends ServiceImpl<HProdMasterMapper, HProdMaster> implements HProdMasterService {

    ResultJSON resultJSON;

    @Override
    public ResultJSON query(int page, int rows, Map<String, Object> map) {
        try {
            Page<HProdMaster> pageParam = new Page<>(page, rows);
            IPage<HProdMaster> result = baseMapper.selectHProdMasterPage(pageParam, map);
            return ResultJSON.success(result);
        } catch (Exception ex) {
            ex.printStackTrace();
            return ResultJSON.error(ResponseCodeMsg.CODE_EX, ex.getMessage());
        }
    }
}

